using Microsoft.Win32;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace B20UVLog.Pages
{
    /// <summary>
    /// YMeasureData.xaml 的交互逻辑
    /// </summary>
    public partial class YMeasureData : Page
    {
        public YMeasureData()
        {
            InitializeComponent();
        }

        private void BtnExport_Click(object sender, RoutedEventArgs e)
        {
            SaveFileDialog sfd = new()
            {
                Filter = "csv files (*.csv)|*.csv"
            };
            if (sfd.ShowDialog() == true)
            {
                //DataTable exportTable = DbHelper.Db.Queryable<LulAlarmLog>().ToDataTable();
                //CSV.Write(sfd.FileName, exportTable);
            }
            _ = MessageBox.Show("导出完成！");
        }
        private void BtnSearch_Click(object sender, RoutedEventArgs e)
        {
            //DataSourceUpdate();
        }

        private void BtnReset_Click(object sender, RoutedEventArgs e)
        {
            //TextIndex.Text = "";
            DTPStart.Reset();
            DTPEnd.Reset();
            //DataSourceUpdate();
        }
        private void MyPagination_PageIndexChange(object sender, EventArgs e)
        {
            //MPagination myPagination = sender as MPagination;
            //DataSourceUpdate(myPagination.PageIndex, myPagination.PageSize);
        }

    }
}
